<template>
  <div class="navigation-bar">
    <router-link to="/cart" class="cart-link">
      <span class="cart-icon">
        <span class="cart-count">{{ cartItemCount }}</span>
      </span>
      Cart
    </router-link>
  </div>
</template>

<script>
export default {
  computed: {
    cartItemCount() {
      return this.$store.getters.cartItemCount;
    }
  }
};
</script>

<style scoped>
.navigation-bar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px;
  background-color: #3498db;
  color: #fff;
}

.cart-link {
  text-decoration: none;
  color: #fff;
}

.cart-icon {
  margin-right: 5px;
  font-size: 20px;
}

.cart-count {
  background-color: #fff;
  color: #3498db;
  border-radius: 50%;
  padding: 4px 8px;
  font-size: 14px;
  margin-left: 5px;
}
</style>